## ros-one-simple-message 0.7.3-7jammy.20251023.0038

=== debian/changelog ===
ros-one-simple-message (0.7.3-7jammy.20251023.0038) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 23 Oct 2025 00:38:37 +0000

ros-one-simple-message (0.7.3-0jammy) jammy; urgency=high

  * accept old defines as well for now, bw-compatibility for (#262 <https://github.com/ros-industrial/industrial_core/issues/262>) (#275 <https://github.com/ros-industrial/industrial_core/issues/275>)
  * for a complete list of changes see the commit log for 0.7.3 <https://github.com/ros-industrial/industrial_core/compare/0.7.2...0.7.3>.
  * contributors: gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 15 Jul 2021 00:00:00 -0000

ros-one-simple-message (0.7.2-0jammy) jammy; urgency=high

  * target Melodic and newer.
  * fix line-endings -- all files (#268 <https://github.com/ros-industrial/industrial_core/issues/268>)
  * add receive timeouts for simple socket (#267 <https://github.com/ros-industrial/industrial_core/issues/267>)
  * catkin_lint all packages (#266 <https://github.com/ros-industrial/industrial_core/issues/266>)
  * add Windows compatibility (#264 <https://github.com/ros-industrial/industrial_core/issues/264>)
  * improve TcpClient's connection re-establish behaviour (#263 <https://github.com/ros-industrial/industrial_core/issues/263>)
  * export compiler flags (#262 <https://github.com/ros-industrial/industrial_core/issues/262>)
  * remove exec permission on source files (#259 <https://github.com/ros-industrial/industrial_core/issues/259>)
  * add Noetic compatibility (#258 <https://github.com/ros-industrial/industrial_core/issues/258>)
  * update maintainers (#243 <https://github.com/ros-industrial/industrial_core/issues/243>)
  * for a complete list of changes see the commit log for 0.7.2 <https://github.com/ros-industrial/industrial_core/compare/0.7.1...0.7.2>.
  * contributors: Felix Messmer, Gaël Écorchard, Josh Langsfeld, Tim Perkins, ipa-nhg, Sean Yen, Paul Glaubitz, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 28 Jun 2021 00:00:00 -0000

ros-one-simple-message (0.7.1-0jammy) jammy; urgency=high

  * Fix incorrect return value if deserializing duration fails on ``joint_traj_pt`` (#226 <https://github.com/ros-industrial/industrial_core/issues/226>)
  * Updated all package xml files to version 2 (#232 <https://github.com/ros-industrial/industrial_core/issues/232>)
  * all: update maintainer email addresses (#222 <https://github.com/ros-industrial/industrial_core/issues/222>)
  * Contributors: Gonzalo Casas, Jeremy Zoss, Jorge Nicho, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 19 Sep 2019 00:00:00 -0000

ros-one-simple-message (0.7.0-0jammy) jammy; urgency=high

  * Updated the libraries install tags to follow the official documentation Fix #193 <https://github.com/ros-industrial/industrial_core/issues/193>
  * simple_message: get rid of obsolete gethostbyname. Fix #197 <https://github.com/ros-industrial/industrial_core/issues/197>
  * Added missed test dependencies to rosunit Fix #205 <https://github.com/ros-industrial/industrial_core/issues/205>
  * Fixed issue 157 regarding non-existing targets
  * simple_message: build unit tests conditionally #182 <https://github.com/ros-industrial/industrial_core/issues/182>
  * Contributors: Alexander Rössler, Dmitry Rozhkov, Levi Armstrong, Nadia Hammoudeh García, Shaun Edwards

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 12 Feb 2019 00:00:00 -0000

ros-one-simple-message (0.6.0-0jammy) jammy; urgency=high

  * Added C++ 11 compile option
  * Contributors: Victor Lamoine

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 16 Jan 2017 00:00:00 -0000

ros-one-simple-message (0.5.1-0jammy) jammy; urgency=high

  * Temporary fix, commented out disabled test to remove unstable build status
  * Changed test port numbers to unused range in linux.  utest_message now uses port range defined by macros (addresses failure to init server socket)
  * Amend to pull request #153 <https://github.com/ros-industrial/industrial_core/issues/153> (methods moved to TypedMessage)
  * robot_status: missing reply to SERVICE_REQUEST. Fix in robot_status_message and relay_handler.
  * simple_message: add doc to SpecialSeqValue enum members.
  * simple_message: fix SpecialSeqValue typo. Fix #130 <https://github.com/ros-industrial/industrial_core/issues/130>.
  * Contributors: Alberto Marini, Shaun Edwards, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 15 Jan 2017 00:00:00 -0000

ros-one-simple-message (0.5.0-0jammy) jammy; urgency=high

  * Switch ByteArray to <deque> for internal buffer
    - enables dynamic sizing, for larger messages
    * up to INT_MAX, which is unadvised
    - allows efficient data access at front/rear of msgs
    - maintains same external API
    * getRawDataPtr() is deprecated (not contiguous memory)
    - bugFix: SimpleSocket::receiveBytes() buffer-size check
    - update unit tests to handle ByteArray.MaxSize==INT_MAX
  * Contributors: Jeremy Zoss

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 22 Feb 2016 00:00:00 -0000

ros-one-simple-message (0.4.3-0jammy) jammy; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 07 Feb 2016 00:00:00 -0000

ros-one-simple-message (0.4.2-0jammy) jammy; urgency=high

  * No change

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Wed, 21 Oct 2015 00:00:00 -0000

ros-one-simple-message (0.4.1-0jammy) jammy; urgency=high

  * Fixed changelog links to point to main repo
  * Contributors: Shaun Edwards


