=== debian/control ===
Source: ros-one-simple-message
Section: misc
Priority: optional
Maintainer: G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-industrial-msgs, ros-one-roscpp
Homepage: http://ros.org/wiki/simple_message
Standards-Version: 3.9.2

Package: ros-one-simple-message
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-industrial-msgs, ros-one-roscpp
Description: simple_message defines a simple messaging connection and protocol for communicating with an industrial robot controller.
 Additional handler and manager classes are included for handling connection limited systems. This package is part of the ROS-Industrial program.
